Class List Method List File List

# Module: Concurrent::Promises::Future::NewChannelIntegration

Included in:
  Concurrent::Promises::Future
Defined in:
  lib/concurrent/edge/promises.rb

## Instance Method Summary (collapse)

- - (Future) then_push_channel(channel)

  A future which is fulfilled after the message is pushed to the channel.

## Instance Method Details

### - (`Future`) then_push_channel(channel)

Returns a future which is fulfilled after the message is pushed to the channel. May take a moment if the channel is full.

Parameters:

- channel (`Channel`) —

  to push to.

Returns:

- (`Future`) —

  a future which is fulfilled after the message is pushed to the channel. May take a moment if the channel is full.

    2082
    2083
    2084

    # File 'lib/concurrent/edge/promises.rb', line 2082

    def then_push_channel(channel)
      self.then { |value| channel.push value }.flat_future
    end